CREATE TABLE ce_recon_rulesets (
    RECON_RULESET_ID         NUMBER(18, 0),
    NEXT_RULE_ORDER          NUMBER(9, 0) ,
    RULESET_NAME             VARCHAR2(400)    NOT NULL,
    DESCRIPTION              VARCHAR2(400),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    RECON_RULESET_ID         NUMBER(18, 0),
    NEXT_RULE_ORDER          NUMBER(9, 0) ,
    RULESET_NAME             VARCHAR2(400)    NOT NULL,
    DESCRIPTION              VARCHAR2(400),
    LAST_UPDATE_DATE         TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY          VARCHAR2(256)    NOT NULL,
    CREATION_DATE            TIMESTAMP(6)     NOT NULL,
    CREATED_BY               VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN        VARCHAR2(128),
    OBJECT_VERSION_NUMBER    NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ce_recon_rulesets PRIMARY KEY (RECON_RULESET_ID, RECON_RULESET_ID)
);
